/*!
 * This class defines a preview window that pops up when a row of the table in the main window is double clicked.
 */

#ifndef PREVIEWWINDOW_H
#define PREVIEWWINDOW_H

#include <QWidget>
#include <QtGui>

#include <string>

class PreviewWindow : public QWidget
{
    Q_OBJECT

public:
    PreviewWindow(QWidget *parent = 0);
    ~PreviewWindow();
    void setWindowFlags(Qt::WindowFlags flags);
    void lsofPopulate(std::string lsof_pid);

private:
    QTextEdit *textEdit;
    QPushButton *closeButton;
    QVBoxLayout *layout;

public slots:
    void updatePreview();
};

#endif
